# Enum Class SpringAIErrorMapper.RetryStrategy

java.lang.Object
java.lang.Enum<SpringAIErrorMapper.RetryStrategy>
com.google.adk.models.springai.error.SpringAIErrorMapper.RetryStrategy

All Implemented Interfaces:
  `Serializable, Comparable<SpringAIErrorMapper.RetryStrategy>, Constable`

Enclosing class:
  `SpringAIErrorMapper`

public static enum SpringAIErrorMapper.RetryStrategy extends Enum<SpringAIErrorMapper.RetryStrategy>
Retry strategy recommendations.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXPONENTIAL_BACKOFF`
  Retry with exponential backoff
  `FIXED_DELAY`
  Retry with fixed delay
  `IMMEDIATE_RETRY`
  Retry immediately (for transient network issues)
  `NO_RETRY`
  Do not retry - permanent failure

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SpringAIErrorMapper.RetryStrategy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpringAIErrorMapper.RetryStrategy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_RETRY

    public static final SpringAIErrorMapper.RetryStrategy NO_RETRY
    Do not retry - permanent failure

  - ### EXPONENTIAL_BACKOFF

    public static final SpringAIErrorMapper.RetryStrategy EXPONENTIAL_BACKOFF
    Retry with exponential backoff

  - ### FIXED_DELAY

    public static final SpringAIErrorMapper.RetryStrategy FIXED_DELAY
    Retry with fixed delay

  - ### IMMEDIATE_RETRY

    public static final SpringAIErrorMapper.RetryStrategy IMMEDIATE_RETRY
    Retry immediately (for transient network issues)

- ## Method Details

  - ### values

    public static SpringAIErrorMapper.RetryStrategy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpringAIErrorMapper.RetryStrategy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null